1. Public Endpoints
KyzoAI
  • KyzoAI
    • Public Endpoints
      • Place Call
        POST
      • Get Agents
        GET
      • Get Campaigns
        GET
    • Schemas
      • kyzo-place-call-api
  1. Public Endpoints

Place Call

POST
/organizations/{{organizationId}}/agents/{{agentId}}/placeCall

Request

Authorization
Add parameter in header
x-api-key
Example:
x-api-key: ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Bad Request Response
🟠401Unauthorized Response
🟠404Not Found Response
🟠429Rate Limit Response
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/organizations/{{organizationId}}/agents/{{agentId}}/placeCall' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "fromPhoneNumberId": "{{phoneNumberId}}",
  "phoneNumber": "+19999999999",
  "email": "email@example.com",
  "agentParams": {
    "first_name": "David"
  },
  "referenceId": "YOUR-CRM-OBJECT-ID",
  "tools": [
    {
      "tool_type": "sentiment",
      "execution_order": 0,
      "args": {
        "language": "English"
      }
    },
    {
      "tool_type": "custom_field_extraction",
      "execution_order": 1,
      "args": {
        "fields": [
          {
            "fieldName": "budget",
            "fieldDescription": "The maximum amount the lead is willing to spend",
            "fieldType": "number"
          },
          {
            "fieldName": "area",
            "fieldDescription": "The area or location the lead is interested in",
            "fieldType": "text"
          }
        ]
      }
    },
    {
      "tool_type": "email",
      "execution_order": 2,
      "args": {
        "subject": "Thanks for your time, {{ first_name }}!",
        "body": "<p>Hi {{ first_name }},</p><p>Thanks for speaking with us. Your budget: {{ budget }}, area of interest: {{ area }}.</p>"
      }
    },
    {
      "tool_type": "whatsapp",
      "execution_order": 3,
      "args": {
        "CLIENT_WHATSAPP_PHONE_NUMBER": "+19999999999",
        "customerName": "David",
        "campaignName": "Real Estate Q3 Campaign"
      }
    },
    {
      "tool_type": "calendar",
      "execution_order": 4,
      "args": {
        "event_title": "Follow-up Call with David",
        "start_time": "2026-06-15T10:00:00",
        "end_time": "2026-06-15T10:30:00"
      }
    },
    {
      "tool_type": "webhook",
      "execution_order": 5,
      "args": {
        "webhook_url": "https://your-crm.com/webhooks/kyzo",
        "method": "POST",
        "headers": {
          "Authorization": "Bearer YOUR-WEBHOOK-TOKEN"
        },
        "filters": {
          "interestLevel": "Interested"
        },
        "timeout": 30
      }
    }
  ]
}'
Response Response Example
200 - Success
{
  "success": true,
  "callId": "665f1c2e9a3b4d0012ab34cd"
}
Modified at 2026-06-12 20:13:00
Previous
KyzoAI
Next
Get Agents
Built with